Issue 90143 - CWS extmgrui03: ListBox (Restype 324) needs method to access publisher string
Summary: CWS extmgrui03: ListBox (Restype 324) needs method to access publisher string
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: DEV300m14
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.0
Assignee: b.osi.ooo
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks: 90136
  Show dependency tree
 
Reported: 2008-05-30 09:46 UTC by joerg.skottke
Modified: 2008-07-01 20:23 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description joerg.skottke 2008-05-30 09:46:35 UTC
CWS extmgrui03 brings the possibility to display a publisher String with a weblink.

I need methods to retrieve the publisher string and the link - if possible

Please refer to issue 86913, it should be fairly simple to implement the feature
like the other strings using the indexes 4 (Publisher string) and 5 (Hyperlink)
Comment 1 joerg.skottke 2008-05-30 09:48:54 UTC
Set blocker for issue 90136
Comment 2 joerg.skottke 2008-05-30 10:06:58 UTC
Fix summary, must be "extmgrui03"
Comment 3 epost 2008-06-02 14:51:41 UTC
retargeted to 3.x
Comment 4 joerg.skottke 2008-06-03 08:58:54 UTC
Retarget back to 3.0.

It was requested that the Extension Manager UI be integrated month after feature
freeze. 

For each new feature there has to exist an automated test or a test case spec,
this requirement has been removed from the cws to allow early integration so we
can be feature complete for the release. However, there must be a test case for
3.0 and this issue is a blocker.
Comment 5 epost 2008-06-05 12:25:08 UTC
set target to 3.x
Comment 6 epost 2008-06-05 12:29:14 UTC
jsk, if you want this fixed, then please assign the task to someone else because
gh will not be available until June 16th, which is beyond the code freeze for
the Beta 2 where AFAIK the new Extension Manager UI should be integrated.
Comment 7 gregor.hartmann 2008-06-17 14:24:55 UTC
I need an interface in svtools/inc/svtools/extensionlistbox.hxx to access the
new data Publisher and PublisherURL as String.

afterwards I can contunue
Comment 8 dirk.voelzke 2008-06-18 10:10:09 UTC
I've added 
    virtual ::rtl::OUString getItemPublisher( sal_Int32 index ) const = 0;
    virtual ::rtl::OUString getItemPublisherLink( sal_Int32 index ) const = 0;
in svtools/inc/svtools/extensionlistbox.hxx and
desktop/source/deployment/gui/dp_gui_dialog2.cxx

now it's up to you to continue...
Comment 9 gregor.hartmann 2008-06-19 08:48:56 UTC
implemented as suggested by jsk with index 4 and 5
Comment 10 dirk.voelzke 2008-06-19 14:32:48 UTC
Now it's up to you
Comment 11 kai.sommerfeld 2008-06-25 07:32:23 UTC
tbo: Please take over, as jsk is on vacation.
Comment 12 b.osi.ooo 2008-06-25 18:18:42 UTC
works as specified with index 4 and 5 - verified in cws extmgrui04
Comment 13 b.osi.ooo 2008-07-01 20:23:34 UTC
integrated into BEB300m1 - closing